> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile

> Returns a position profile for a specific wallet-token pair.



## OpenAPI

````yaml post /v1/solana/dex/profiles/positions/get-profile
openapi: 3.1.0
info:
  version: 1.0.1
  title: Prism API v1
servers:
  - url: https://refract.prismapi.io
    x-fern-server-name: production
security: []
paths:
  /v1/solana/dex/profiles/positions/get-profile:
    post:
      tags:
        - Solana DEX
      summary: Get Profile
      description: Returns a position profile for a specific wallet-token pair.
      operationId: getPositionProfile
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - wallet
                - token
              properties:
                wallet:
                  description: Wallet address of the position to retrieve.
                  type: string
                token:
                  description: Token address of the position to retrieve.
                  type: string
                options:
                  $ref: '#/components/schemas/SolanaDexPositionProfilePayloadOptions'
            examples:
              default:
                value:
                  wallet: suqh5sHtr8HyJ7q8scBimULPkPpA557prMG47xCHQfK
                  token: Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk
                  options:
                    include_metadata: true
                    include_labels: true
                    include_metrics:
                      - 7d
      responses:
        '200':
          description: Position profile for the specified wallet-token pair.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaDexPositionProfile'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - HttpApiKeyAuth: []
components:
  schemas:
    SolanaDexPositionProfilePayloadOptions:
      x-fern-type-name: SolanaDexPositionProfilePayloadOptions
      type: object
      description: >-
        Controls which optional sections are included in each returned position
        profile.
      properties:
        include_metadata:
          type: boolean
          description: When true, includes the `metadata` object in each returned profile.
        include_labels:
          type: boolean
          description: When true, includes the `labels` array in each returned profile.
        include_metrics:
          type: array
          description: >-
            Time windows for which metrics should be included. Windows not
            listed are omitted from the response.
          items:
            $ref: '#/components/schemas/SolanaDexPositionProfileTimeWindowEnum'
    SolanaDexPositionProfile:
      x-fern-type-name: SolanaDexPositionProfile
      type: object
      properties:
        updated_at:
          type: string
          format: date-time
        synced_at:
          type: string
          format: date-time
        position_address:
          type: string
        wallet_address:
          type: string
        token_address:
          type: string
        labels:
          $ref: '#/components/schemas/SolanaDexPositionProfileLabels'
        dynamic_labels:
          $ref: '#/components/schemas/SolanaDexProfileDynamicLabels'
        metadata:
          $ref: '#/components/schemas/SolanaDexPositionProfileMetadata'
        metrics:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SolanaDexPositionProfileMetrics'
    SolanaDexPositionProfileTimeWindowEnum:
      x-fern-type-name: SolanaDexPositionProfileTimeWindowEnum
      type: string
      enum:
        - 30d
        - 14d
        - 7d
        - 3d
        - 1d
      x-fern-enum:
        30d:
          name: Window30d
        14d:
          name: Window14d
        7d:
          name: Window7d
        3d:
          name: Window3d
        1d:
          name: Window1d
    SolanaDexPositionProfileLabels:
      x-fern-type-name: SolanaDexPositionProfileLabels
      type: array
      items:
        type: string
    SolanaDexProfileDynamicLabels:
      x-fern-type-name: SolanaDexProfileDynamicLabels
      type: array
      items:
        type: string
    SolanaDexPositionProfileMetadata:
      x-fern-type-name: SolanaDexPositionProfileMetadata
      type: object
      properties:
        last_trade_at:
          type: string
          format: date-time
    SolanaDexPositionProfileMetrics:
      x-fern-type-name: SolanaDexPositionProfileMetrics
      type: object
      properties:
        risk_score:
          type: number
        consistency_score:
          type: number
        largest_win:
          type: number
        largest_loss:
          type: number
        max_consecutive_wins:
          type: integer
        max_consecutive_losses:
          type: integer
        avg_buy_size:
          type: number
        avg_sell_size:
          type: number
        avg_buy_mcap:
          type: number
        avg_sell_mcap:
          type: number
        avg_daily_trade_count:
          type: integer
        avg_daily_volume:
          type: number
        avg_daily_pnl:
          type: number
        avg_daily_roi:
          type: number
        avg_holding_duration:
          type: integer
        avg_trade_delta:
          type: integer
        avg_pnl:
          type: number
        avg_roi:
          type: number
        trade_count:
          type: integer
        buy_count:
          type: integer
        sell_count:
          type: integer
        win_count:
          type: integer
        loss_count:
          type: integer
        pnl:
          type: number
        win_pnl:
          type: number
        loss_pnl:
          type: number
        volume:
          type: number
        buy_volume:
          type: number
        sell_volume:
          type: number
        winrate:
          type: number
        volume_weighted_winrate:
          type: number
        roi:
          type: number
        volume_weighted_roi:
          type: number
        pnl_volume_ratio:
          type: number
        win_loss_size_ratio:
          type: number
        profit_factor:
          type: number
        profit_expectancy:
          type: number
        recovery_factor:
          type: number
        winrate_stability:
          type: number
        winrate_volatility:
          type: number
        roi_stability:
          type: number
        roi_volatility:
          type: number
        pnl_stability:
          type: number
        pnl_volatility:
          type: number
        sharpe_ratio:
          type: number
        sortino_ratio:
          type: number
        max_drawdown:
          type: number
        risk_of_ruin:
          type: number
        turnover:
          type: number
  responses:
    BadRequest:
      description: 'Bad request: Invalid request parameters'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Bad request: Invalid request parameters'
    Unauthorized:
      description: 'Unauthorized: Invalid or missing API key'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Unauthorized: Invalid or missing API key'
    Forbidden:
      description: 'Forbidden: Access denied for the current API plan'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Forbidden: Access denied for the current API plan'
    TooManyRequests:
      description: 'Too many requests: Rate limit exceeded'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Too many requests: Rate limit exceeded'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Internal server error
  securitySchemes:
    HttpApiKeyAuth:
      type: apiKey
      name: x-api-key
      description: >-
        Your Prism API key. You can get one for free in the [Prism
        Dashboard](https://dashboard.prismapi.io).
      in: header

````